package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @ClassName: DataSourceListDto
 * @Description: 数据源列表返回参数对象
 * @Author：Bellamy
 * @Date 2020/12/24
 * @Version 1.0
 */
@ApiModel(value = "数据源列表返回参数对象", description = "数据源列表返回参数对象")
public class DataSourceListDto {
    /**
     * 数据源id
     */
    @ApiModelProperty(value = "数据源id")
    private Long id;

    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String  datasourceName;

    /**
     * 数据源类型名称
     */
    @ApiModelProperty(value = "数据源类型名称")
    private String  datasourceTypeName;

    /**
     * 数据源类型id
     */
    @ApiModelProperty(value = "数据源类型id")
    private String  datasourceTypeId;

    /**
     * 数据源分类
     */
    @ApiModelProperty(value = "数据源分类")
    private String  datasourceCatecode;

    /**
     * 数据源描述
     */
    @ApiModelProperty(value = "数据源描述")
    private String  datasourceDesc;
    /**
     * 连接信息
     */
    @ApiModelProperty(value = "连接信息")
    private String  jdbcUrl;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String  userName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String  createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private String  uptdateTime;

    /**
     * 数据库名称
     */
    @ApiModelProperty(value = "数据库名称")
    private String  dbName;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private String  projectId;

    /**
     * 测试连通状态：01未测试，02连通性正常，03连通性异常
     */
    @ApiModelProperty(value = "测试连通状态：01未测试，02连通性正常，03连通性异常")
    private String testConnectStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceTypeName() {
        return datasourceTypeName;
    }

    public void setDatasourceTypeName(String datasourceTypeName) {
        this.datasourceTypeName = datasourceTypeName;
    }

    public String getDatasourceTypeId() {
        return datasourceTypeId;
    }

    public void setDatasourceTypeId(String datasourceTypeId) {
        this.datasourceTypeId = datasourceTypeId;
    }

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUptdateTime() {
        return uptdateTime;
    }

    public void setUptdateTime(String uptdateTime) {
        this.uptdateTime = uptdateTime;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTestConnectStatus() {
        return testConnectStatus;
    }

    public void setTestConnectStatus(String testConnectStatus) {
        this.testConnectStatus = testConnectStatus;
    }
}
